Class {
	#name : #PPCMHrule,
	#superclass : #PPCMNode,
	#instVars : [
		'rule'
	],
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMHrule >> accept: visitor [
	^ visitor visitHRule: self
]

{ #category : #accessing }
PPCMHrule >> rule [
	^ rule
]

{ #category : #accessing }
PPCMHrule >> rule: anObject [
	rule := anObject
]

{ #category : #accessing }
PPCMHrule >> viewBody [

	| aText |
	aText := (self className ,' ', 
		self rule) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child destination asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child destination asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
