Class {
	#name : #PPCMHtml,
	#superclass : #PPCMNode,
	#instVars : [
		'text'
	],
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMHtml >> accept: visitor [
	^ visitor visitHtml: self
]

{ #category : #accessing }
PPCMHtml >> text [
	^ text
]

{ #category : #accessing }
PPCMHtml >> text: anObject [
	text := anObject
]

{ #category : #accessing }
PPCMHtml >> viewBody [

	| aText |
	aText := (self className ,' ', 
		self text) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
