Class {
	#name : #PPCMSoftBreak,
	#superclass : #PPCMNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #'as yet unclassified' }
PPCMSoftBreak >> accept: visitor [
	^ visitor visitSoftBreak: self
]

{ #category : #accessing }
PPCMSoftBreak >> viewBody [

	| aText |
	aText := (self className ,' ', self text) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
