Extension { #name : #LeCodeSnippet }

{ #category : #'*MiniDocs' }
LeCodeSnippet >> metadataUpdate [
	| surrogate |
	self parent 
		ifNil: [ surrogate := nil] 
		ifNotNil: [ 
			self parent isString 
				ifTrue: [ surrogate := self parent]
				ifFalse: [ surrogate := self parent uidString ]
		].
	^ OrderedDictionary new
		  at: 'id' put: self uidString;
		  at: 'parent' put: surrogate;
		  at: 'created' put: self createTime asString;
		  at: 'modified' put: self latestEditTime asString;
		  at: 'creator' put: self createEmail asString withoutXMLTagDelimiters;
		  at: 'modifier' put: self editEmail asString withoutXMLTagDelimiters;
		  yourself	
]
