Class {
	#name : #PPCMParagraph,
	#superclass : #PPCMDelegateNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMParagraph >> accept: visitor [
	^ visitor visitParagraph: self
]

{ #category : #accessing }
PPCMParagraph >> isBlockLevel [
	^ true
]

{ #category : #testing }
PPCMParagraph >> isParagraph [
	^ true
]

{ #category : #accessing }
PPCMParagraph >> text [
	"hackity hack, this should not be used except for tests..."
	^ String cr join: (self children collect: [ :e | e text ])
]

{ #category : #accessing }
PPCMParagraph >> viewBody [
	| aText |
	aText := self className asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor) ].


	^ aText
]
